Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cve
Class RuleCollectionFromBeliefNetwork

    java.lang.Object
      |
      +--cve.RuleCollection
            |
            +--cve.RuleCollectionFromBeliefNetwork

public class RuleCollectionFromBeliefNetwork
extends RuleCollection

This is a rule collection that we make by adding factors. It is only a new class because I wanted it in another file ;^}

Inner classes inherited from class cve.RuleCollection
`RuleCollection.Itr`

Fields inherited from class cve.RuleCollection
`defaultInitialMaxSize, maxContextSize, maxNumRules, maxSize, maxTableSize, size, theRules`

Constructor Summary
`(package private)` | `RuleCollectionFromBeliefNetwork(DecisionNetwork bn, double threshold)` construces a rule collection from a belief network.

Method Summary
`private int` | `addFactor(Context con, Factor fac, Variable[] ruleIsFor, double threshold)` adds a new factor (with a context) to the rule collection.
`private Factor` | `factorProject(Factor fac, Variable var, int val, Variable[] redundantVars, int numRedundantVars)` projects a factor onto the variables that are not redundant.

Methods inherited from class cve.RuleCollection
`add, combineRemainingRules, disjoint, eliminate, eliminatePretend, factorSet, getMaxContextSize, getMaxNumRules, getMaxTableSize, getNumRules, getSize, iterator, observe, print, printBrief, removeVar, resetMaxTableSize, ruleCollectionSum, unionVariableArrays`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Constructor Detail

### RuleCollectionFromBeliefNetwork

    RuleCollectionFromBeliefNetwork(DecisionNetwork bn,
                                    double threshold)

  construces a rule collection from a belief network.

Method Detail

### addFactor

    private int addFactor(Context con,
                          Factor fac,
                          Variable[] ruleIsFor,
                          double threshold)

  adds a new factor (with a context) to the rule collection.

### factorProject

    private Factor factorProject(Factor fac,
                                 Variable var,
                                 int val,
                                 Variable[] redundantVars,
                                 int numRedundantVars)

  projects a factor onto the variables that are not redundant.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD